<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>Cadastrar Produto</title>

<link rel="stylesheet"
	th:href="@{/bootstrap-5.1.3-dist/css/bootstrap.min.css}">
<script th:src="@{/jquery-3.6.0-dist/jquery-3.6.0.min.js}"></script>
<script th:src="@{/bootstrap-5.1.3-dist/js/bootstrap.min.js}"></script>

<style>
.mensagem {
	color: red;
}
</style>
</head>
<body>
	<div class="container">
		<div class="row">
			<div class="col">
				<a href="/" class="btn btn-primary">Voltar</a>
				<h2>Cadastro de Produtos</h2>
				<div class="alert alert-success alert-dismissible fade show"
					th:if="${mensagem}">
					<button type="button" class="btn-close" data-bs-dismiss="alert"></button>
					<span th:text="${mensagem}"></span>
				</div>
				<form action="#" th:action="@{/produto/salvar}"
					th:object="${item}" method="post">

					<div class="row mb-3">
						<label class="col-sm-1 col-form-label">Descrição:</label>
						<div class="col-sm-5">
							<input class="form-control" type="text" th:field="*{descricao}">
						</div>
						<div class="col-sm-5">
							<span class="mensagem" th:if="${#fields.hasErrors('descricao')}"
								th:errors="*{descricao}"></span>
						</div>
					</div>

					<div class="row mb-3">
						<label class="col-sm-1 col-form-label">Valor:</label>
						<div class="col-sm-5">
							<input class="form-control" type="text" th:field="*{valor}" placeholder="0.0">
						</div>
						<div class="col-sm-5">
							<span class="mensagem" th:if="${#fields.hasErrors('valor')}"
								th:errors="*{valor}"></span>
						</div>
					</div>

					<div class="row mb-3">
						<label class="col-sm-1 col-form-label">Categorias:</label>
						<div class="col-sm-2">
							<select class="form-select" th:field="*{categoriaResponseDTO.id}">
								<th:block th:each="cat : ${itensCategoria}">
									<option th:value="${cat.id}"
										th:text="${cat.descricao}"></option>
								</th:block>
							</select>
						</div>
					</div>

					<input class="btn btn-primary" type="submit" value="Gravar" />
				</form>

			</div>
		</div>
	</div>

</body>
</html>